glibmm: Gio::TimeZoneMonitor Class Reference

glibmm 2.29.10

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions

# Gio::TimeZoneMonitor Class Reference

TimeZoneMonitor - Monitor the local timezone. More...

`#include <giomm/timezonemonitor.h>`

Inheritance diagram for Gio::TimeZoneMonitor:
[legend]

List of all members.

## Public Member Functions
virtual | ~TimeZoneMonitor ()
GTimeZoneMonitor* | gobj ()
| Provides access to the underlying C GObject.
const GTimeZoneMonitor* | gobj () const
| Provides access to the underlying C GObject.
GTimeZoneMonitor* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::SignalProxy0< void > | signal_changed ()
## Static Public Member Functions
static Glib::RefPtr < TimeZoneMonitor > | get ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::TimeZoneMonitor > | wrap (GTimeZoneMonitor* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

TimeZoneMonitor - Monitor the local timezone.

TimeZoneMonitor is a utility class to monitor the local timezone for changes (ie: in response to the user manually changing the timezone to that of a different locale).

You must use this class in order for your program to notice changes to the local timezone. It works by monitoring the /etc/localtime file. When the timezone is found to have changed, the "changed" signal is emitted on the TimeZoneMonitor.

See the C API docs for more information.

Since glibmm 2.30:

## Constructor & Destructor Documentation

virtual Gio::TimeZoneMonitor::~TimeZoneMonitor | ( |  | ) | `[virtual]`

## Member Function Documentation

static Glib::RefPtr<TimeZoneMonitor> Gio::TimeZoneMonitor::get | ( |  | ) | `[static]`

GTimeZoneMonitor* Gio::TimeZoneMonitor::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GTimeZoneMonitor* Gio::TimeZoneMonitor::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GTimeZoneMonitor* Gio::TimeZoneMonitor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::SignalProxy0< void > Gio::TimeZoneMonitor::signal_changed | ( |  | ) |

Prototype:
  `void on_my_changed()`

## Friends And Related Function Documentation

Glib::RefPtr< Gio::TimeZoneMonitor > wrap | ( | GTimeZoneMonitor * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.